.catalog {
  //  padding-bottom: 0;
    z-index: 5;
    position: relative;
    padding-bottom: rem(26);

    &__header {
        margin-bottom: rem(16);
    }

    &__intro-text {
        font-weight: 500;
        line-height: 135%;
        font-size: rem(13);
        margin-bottom: rem(30);
    }

    &__main {

    }

    &__sidebar {

    }

    &__content {

    }

    &__grid {
        display: grid;
        grid-row-gap: rem(20);
        grid-template-columns: 100%;

        .item {
            min-width: 0;
        }
    }

    &__stripe {
        margin-bottom: rem(15);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__inline {
        display: flex;
        align-items: center;
    }

    &__switcher {
        margin-left: rem(14);
    }

    &__sorter {

        &--sm {
            display: none;
        }
    }

    &__nav {
        margin-top: rem(36);
    }

    @include media-breakpoint-up(sm) {

        &__switcher {
            display: none;
        }

        &__grid {
            grid-row-gap: rem(12);
            grid-column-gap: rem(12);
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(md) {
        padding-bottom: rem(45);

        &__header {
            margin-bottom: rem(20);
        }

        &__intro-text {
            font-size: rem(16);
            margin-bottom: rem(40);
        }

        &__grid {
            grid-row-gap: rem(15);
            grid-column-gap: rem(15);
            grid-template-columns: 1fr 1fr;
        }

        &__filter-toggle {
            display: none;
        }

        &__stripe {
            justify-content: flex-end;
        }

        &__sorter {
            margin-left: rem(52);

            &--sm {
                display: block;
            }
        }

        &__filter {
            margin-bottom: rem(40);
        }

        &__nav {
            margin-top: rem(40);
        }
    }

    @include media-breakpoint-up(lg) {

        &__grid {
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-bottom: rem(22);

        &__intro-text {
            font-size: rem(16);
            margin-bottom: rem(30);
        }

        &__main {
            display: grid;
            grid-column-gap: rem(40);
            grid-template-columns: rem(320) auto;
        }

        &__stripe {
            padding-bottom: rem(15);
            margin-bottom: rem(30);
            border-bottom: 1px solid $gray-200;
        }

        &__filter {
            margin-bottom: 0;
        }

        &__nav {
            margin-top: rem(30);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__main {
            grid-column-gap: rem(62);
            grid-template-columns: rem(360) auto;
        }

        &__grid {
            grid-row-gap: rem(28);
            grid-column-gap: rem(27);
        }
    }

    @media (max-width: 575px) {

        &__grid {

            &.tiles-grid {
                grid-row-gap: rem(10);
                grid-column-gap: rem(10);
                grid-template-columns: 1fr 1fr;
            }
        }
    }
}

.tiles-grid {

    @media (max-width: 575px) {

        .item {

            &__content {
                padding: rem(12) rem(10);
            }

            &__status {
                font-size: rem(8);
                margin-bottom: rem(6);

                &:before {
                    top: rem(2);
                }
            }

            &__title {
                font-size: rem(10);
            }

            &__footer {
                margin-top: rem(4);
            }

            &__price {
                font-size: rem(14);
            }

            &__old-price {
                display: none;
            }
        }

        .btn-favorite {
            width: rem(26);
            height: rem(26);

            i {
                height: rem(9);
            }
        }
    }
}

.quick-links {
    margin-bottom: rem(15);
    display: grid;
    grid-row-gap: rem(12);
    grid-column-gap: rem(12);
    grid-template-columns: 1fr 1fr;

    &__item {
        color: $black;
        display: block;
        font-weight: 500;
        line-height: 125%;
        font-size: rem(9);
        min-height: rem(90);
        letter-spacing: 0.9px;
        padding: rem(14) rem(16);
        text-align: center;
        position: relative;
        text-decoration: none;
        text-transform: uppercase;
        border: 1px solid $gray-200;
        transition: .3s;

        &:hover {
            color: $black;
            background: #F5F5F3;
            text-decoration: none;
            transition: .3s;
        }
    }

    &__image {
        font-size: 0;
        line-height: 0;
        height: rem(35);
        display: inline-block;
    }

    &__text {
        display: block;
        margin-top: rem(9);
    }

    @include media-breakpoint-up(sm) {
        margin-bottom: rem(54);
        grid-template-columns: 1fr 1fr 1fr;

        &__item {
            font-size: rem(12);
            min-height: rem(150);
            padding-top: rem(25);
            letter-spacing: 1.2px;
        }

        &__image {
            height: rem(68);
        }

        &__text {
            margin-top: rem(20);
        }
    }

    @include media-breakpoint-up(lg) {
        grid-row-gap: rem(15);
        grid-column-gap: rem(15);
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(45);
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xxl) {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    }
}

.view-switcher {
    font-size: 0;
    line-height: 0;
    display: flex;
    align-items: center;

    &__button {
        margin: 0;
        padding: 0;
        outline: none;
        width: rem(34);
        height: rem(34);
        background: $white;
        border: 1px solid $gray-200;
        display: flex;
        align-items: center;
        justify-content: center;

        span {
            width: 16px;
            height: 6px;
            display: block;
            position: relative;
            flex-shrink: 0;

            &:after,
            &:before {
                top: 0;
                bottom: 0;
                z-index: 1;
                width: 7px;
                content: '';
                display: block;
                position: absolute;
                border: 1px solid $purple;
            }

            &:after {
                left: 0;
            }

            &:before {
                right: 0;
            }
        }

        &--single {

            span {
                transform: rotate(90deg);
            }
        }

        &.active {
            background: $purple;
            border-color: $purple;

            span {

                &:after,
                &:before {
                    border-color: $white;
                }
            }
        }
    }
}

.catalog-nav {
    text-align: center;

    &__buttons {
        display: grid;
        grid-column-gap: rem(8);
        grid-template-columns: 1fr 1fr;
    }

    &__label {
        color: #687173;
        font-weight: 500;
        font-size: rem(11);
        line-height: 125%;
        margin-top: rem(20);
        white-space: nowrap;
    }

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: row-reverse;

        &__label {
            margin-top: 0;
            font-size: rem(13);
            margin-right: rem(36);
        }
    }

    @include media-breakpoint-up(xl) {

        &__buttons {
            min-width: rem(415);
            grid-column-gap: rem(15);
            grid-template-columns: 1fr 1fr;
        }
    }
}

.catalog-content {
    position: relative;
    padding-top: rem(26);
    padding-bottom: rem(38);

    &__main {
        position: relative;

    }

    &__text {
        z-index: 10;
        overflow: hidden;
        position: relative;
        will-change: max-height;
        max-height: rem(588);
        transition: .3s;

        &:before {
            left: 0;
            right: 0;
            bottom: rem(-10);
            content: '';
            z-index: 20;
            height: rem(78);
            position: absolute;
            background: linear-gradient(180deg, rgba(255, 255, 255, 0.00) 0%, #FFF 72.91%);
        }

        &.open {

            &:before {
                opacity: 0;
                visibility: hidden;
            }
        }
    }

    &__decor {
        top: -72px;
        left: -15px;
        z-index: 1;
        width: 320px;
        position: absolute;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(45);
        padding-bottom: rem(70);

        &__text {
            height: auto;
            max-height: inherit !important;

            &:before {
                display: none;
            }
        }

        &__decor {
            left: 0;
            top: -158px;
            width: 725px;
        }

        &__views {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(22);
        padding-bottom: rem(80);

        &__decor {
            left: -152px;
            top: -180px;
            width: 791px;
        }
    }
}

@include media-breakpoint-up(md) {}

@include media-breakpoint-up(lg) {}

@include media-breakpoint-up(xl) {}

@include media-breakpoint-up(xxl) {}
